apiVersion: apps/v1
kind: Deployment
metadata:
  name: your-app-deployment
  namespace: default
spec:
  replicas: 1
  selector:
    matchLabels:
      app: your-app
  template:
    metadata:
      labels:
        app: your-app
    spec:   
      containers:
        - name: your-app
          image: az2020ps/practice:latest
          ports:
            - containerPort: 8080
          envFrom:
            - secretRef:
                name: mysql-secrets               
